<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_title_footer.xhtml" id="editDiv"
                rendered="#{simulatorResponderConfigurationManager.editConfig}">
        <ui:define name="panel_title">#{messages['gazelle.HL7Common.ConfigurationEdition']}</ui:define>
        <div class="row">
            <s:div styleClass="col-lg-6 form-horizontal" id="leftcol">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.Name']}</ui:define>
                    <h:inputText value="#{simulatorResponderConfigurationManager.selectedConfiguration.name}"
                                 required="true" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.simulatedActor']}</ui:define>
                    <ui:param name="id" value="actorInput"/>
                    <h:selectOneMenu styleClass="form-control" id="actorInput"
                                     value="#{simulatorResponderConfigurationManager.selectedConfiguration.simulatedActor}"
                                     required="true">
                        <s:selectItems value="#{actor.listAllActors()}" var="actor" label="#{actor.name}"
                                       noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                    <ui:param name="id" value="afdomainInput"/>
                    <h:selectOneMenu styleClass="form-control" id="afdomainInput"
                                     value="#{simulatorResponderConfigurationManager.selectedConfiguration.domain}">
                        <s:selectItems value="#{domain.listAllDomains()}" var="ad"
                                       label="#{ad.keyword}"
                                       noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.Transaction']}</ui:define>
                    <ui:param name="id" value="transactionInput"/>
                    <h:selectOneMenu styleClass="form-control" id="transactionInput"
                                     value="#{simulatorResponderConfigurationManager.selectedConfiguration.transaction}">
                        <s:selectItems value="#{transaction.ListAllTransactions()}" var="t" label="#{t.keyword}"
                                       noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.hl7.TransportProtocol']}</ui:define>
                    <ui:param name="id" value="editrepositoryIdValue"/>
                    <h:selectOneMenu id="editrepositoryIdValue" styleClass="form-control"
                                     value="#{simulatorResponderConfigurationManager.selectedConfiguration.hl7Protocol}">
                        <f:selectItems
                                value="#{simulatorResponderConfigurationManager.getHl7Protocols()}"/>
                        <a4j:ajax event="change" render="leftcol"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.hl7Protocol == 'MLLP'}">
                    <ui:define name="label">#{messages['gazelle.HL7Common.IPAddress']}</ui:define>
                    <ui:param name="id" value="ipInput"/>
                    <h:inputText styleClass="form-control" id="ipInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.ipAddress}"
                                 maxLength="15" required="true"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.hl7Protocol == 'MLLP'}">
                    <ui:define name="label">#{messages['gazelle.HL7Common.Port']}</ui:define>
                    <ui:param name="id" value="portInput"/>
                    <h:inputText styleClass="form-control" id="portInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.listeningPort}"
                                 maxLength="15" required="true"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{simulatorResponderConfigurationManager.selectedConfiguration.hl7Protocol == 'HTTP'}">
                    <ui:define name="label">#{messages['gazelle.hl7.URL']}</ui:define>
                    <ui:param name="id" value="urlVal"/>
                    <h:inputText
                            value="#{simulatorResponderConfigurationManager.selectedConfiguration.url}"
                            styleClass="form-control" id="urlval" required="true"/>
                </s:decorate>
            </s:div>
            <div class="col-lg-6 form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingFacility']}</ui:define>
                    <ui:param name="id" value="facinput"/>
                    <h:inputText styleClass="form-control" id="facinput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.receivingFacility}"
                                 required="true"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.ReceivingApplication']}</ui:define>
                    <ui:param name="id" value="apInput"/>
                    <h:inputText styleClass="form-control" id="apInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.receivingApplication}"
                                 required="true"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.AcceptedTriggerEvents']}</ui:define>
                    <ui:param name="id" value="eventInput"/>
                    <h:inputText styleClass="form-control" id="eventInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.acceptedTriggerEvent}"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.AcceptedMessageTypes']}</ui:define>
                    <ui:param name="id" value="msgInput"/>
                    <h:inputText styleClass="form-control" id="msgInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.acceptedMessageType}"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.HL7Common.ServerBeanName']}</ui:define>
                    <ui:param name="id" value="serverBeanInput"/>
                    <h:inputText styleClass="form-control" id="serverBeanInput"
                                 value="#{simulatorResponderConfigurationManager.selectedConfiguration.serverBeanName}"/>
                    <span style="width: 5px"/>
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.simulator.hl7.ViewListOfAlreadyUsedServerBeans']}"
                                     onclick="jq162('#serverBeanList').modal('show');">
                        <s:span styleClass="gzl-icon-search"/>
                    </a4j:commandLink>
                </s:decorate>
            </div>
        </div>
        <ui:define name="panel_footer">
            <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                               actionListener="#{simulatorResponderConfigurationManager.displayList()}"
                               bypassUpdates="true" render="globalDiv" styleClass="gzl-btn"/>
            <a4j:commandButton styleClass="gzl-btn-green"
                               value="#{messages['gazelle.HL7Common.SaveConfiguration']}"
                               actionListener="#{simulatorResponderConfigurationManager.saveConfiguration()}"
                               render="globalDiv"/>
        </ui:define>
    </s:decorate>
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="serverBeanList"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.simulator.hl7.ServerBeans']}</ui:define>
        <s:div id="serverBeanListContent">
            <h:outputText
                    value="#{messages['net.ihe.gazelle.simulator.hl7.ThisIsTheListOfAlreadyUsedServerBeanNames']}"/>
            <rich:list value="#{simulatorResponderConfigurationManager.getListOfServerBean()}" var="bean"
                       type="unordered">
                <h:outputText value="#{bean}"/>
            </rich:list>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="#{messages['gazelle.ordermanager.Close_2']}"
                               onclick="jq162('#serverBeanList').modal('hide');"
                               styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>
</ui:composition>